# value

abstract fun value(@Nullable entries: @Nullable Map<out K, out V>): MapProperty<K, V>

Sets the value of this property to the entries of the given Map, and replaces any existing value. This property will query the entries of the map each time the value of this property is queried.

This is the same as set but returns this property to allow method chaining.

#### Return

this

#### Since

5.6

#### Parameters

entries

the entries, can be `null`

abstract fun value(provider: Provider<out Map<out K, out V>>): MapProperty<K, V>

Sets the property to have the same value of the given provider, and replaces any existing value. This property will track the value of the provider and query its value each time the value of this property is queried. When the provider has no value, this property will also have no value.

This is the same as set but returns this property to allow method chaining.

#### Since

5.6

#### Parameters

provider

Provider of the entries.